<ion-content class="ion-padding">
  <ion-grid>
    <ion-row class="ion-align-items-center">
      <ion-col
        size="12"
        size-sm="1"
        size-md="3"
        size-lg="4"
        size-xl="4"
        class="ion-no-padding"
      >
        <div class="bg"></div>
      </ion-col>
      <ion-col size="12" size-sm="10" size-md="6" size-lg="4" size-xl="4">
        <ion-card>
          <ion-card-content>
            <form [formGroup]="loginForm" (ngSubmit)="onLoginSubmit()">
              <ion-item>
                <ion-label position="floating">Email</ion-label>
                <ion-input type="text" formControlName="email"></ion-input>
              </ion-item>
              <ion-item>
                <ion-label position="floating">Contraseña</ion-label>
                <ion-input
                  type="password"
                  formControlName="password"
                ></ion-input>
              </ion-item>
              <br />
              <ion-button
                color="primary"
                type="submit"
                expand="block"
                [disabled]="loginForm.invalid"
              >
                Iniciar
              </ion-button>
              <div *ngIf="loginFailed" class="invalid-login">
                Email y/o Contraseña Incorrecta.
              </div>
              <br />
              <div>
                <a routerLink="/forgot-password" routerDirection="forward"
                  >Olvidé mi contraseña</a
                >
              </div>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
      <ion-col
        size="12"
        size-sm="1"
        size-md="3"
        size-lg="4"
        size-xl="4"
        class="ion-no-padding"
      >
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
